## com.vividsolutions.jts.noding.snapround
Class MCIndexPointSnapper.HotPixelSnapAction

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainSelectAction
          com.vividsolutions.jts.noding.snapround.MCIndexPointSnapper.HotPixelSnapAction

Enclosing class:
  MCIndexPointSnapper

public class MCIndexPointSnapper.HotPixelSnapAction
extends MonotoneChainSelectAction

Constructor Summary
`MCIndexPointSnapper.HotPixelSnapAction(HotPixel hotPixel, SegmentString parentEdge, int vertexIndex)`

Method Summary
`boolean` `isNodeAdded()`
`void` `select(MonotoneChain mc, int startIndex)` This function can be overridden if the original chain is needed

Methods inherited from class com.vividsolutions.jts.index.chain.MonotoneChainSelectAction
`select`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCIndexPointSnapper.HotPixelSnapAction

    public MCIndexPointSnapper.HotPixelSnapAction(HotPixel hotPixel,
                                                  SegmentString parentEdge,
                                                  int vertexIndex)

Method Detail

### isNodeAdded

    public boolean isNodeAdded()

### select

    public void select(MonotoneChain mc,
                       int startIndex)

  Description copied from class: `MonotoneChainSelectAction`
  This function can be overridden if the original chain is needed

  Overrides:
    `select` in class `MonotoneChainSelectAction`